<?php if ($ssl_support): ?><IfModule mod_ssl.c>
<VirtualHost <?php print $ssl_ip; ?>:<?php print $ssl_port; ?>>
    ServerName <?php print $ssl_servername . PHP_EOL; ?>
    
    <?php if (!empty($serveralias)) { print "ServerAlias $serveralias\n"; } ?>

    DocumentRoot <?php print WEBROOT . PHP_EOL; ?>
    CustomLog /var/log/sitelogs/<?php print PACKAGE_NAME; ?>/access.log combined
    ErrorLog  /var/log/sitelogs/<?php print PACKAGE_NAME; ?>/error.log
    <?php if ($ssl_support): ?>

    SSLEngine on
    SSLProtocol all -SSLv2
    SSLCipherSuite ALL:!ADH:RC4+RSA:+HIGH:+MEDIUM:!LOW:!SSLv2:!EXP
    SSLCertificateFile <?php print $ssl_cert . PHP_EOL; ?>
<?php print $sslkeycertificatefile; ?>
<?php print $sslcacertificatefile; ?>

<?php endif; ?><?php print $custom . PHP_EOL; ?>

    <Directory <?php print WEBROOT; ?>>
      # Protect files and directories from prying eyes.
      <FilesMatch "\.(engine|inc|info|install|make|module|profile|test|po|sh|.*sql|theme|tpl(\.php)?|xtmpl|svn-base)$|^(code-style\.pl|Entries.*|Repository|Root|Tag|Template|all-wcprops|entries|format)$">
        Order allow,deny
      </FilesMatch>

      RewriteEngine On
      RewriteBase /
      RewriteCond %{REQUEST_FILENAME} !-f
      RewriteCond %{REQUEST_FILENAME} !-d
      RewriteCond %{REQUEST_URI} !=/favicon.ico
      RewriteRule ^(.*)$ index.php?q=$1 [L,QSA]

      php_value magic_quotes_gpc                0
      php_value register_globals                0
      php_value session.auto_start              0
      php_value mbstring.http_input             pass
      php_value mbstring.http_output            pass
      php_value mbstring.encoding_translation   0

<?php print $directory_custom . PHP_EOL; ?>

      # Don't show directory listings for URLs which map to a directory.
      Options -Indexes

      # Follow symbolic links in this directory.
      Options +FollowSymLinks

      # Allow .htaccess files to override settings.
      AllowOverride All

      # Make Drupal handle any 404 errors.
      ErrorDocument 404 /index.php

      # Set the default handler.
      DirectoryIndex index.php
      # Requires mod_expires to be enabled.
      <IfModule mod_expires.c>
        # Enable expirations.
        ExpiresActive On

        # Cache all files for 2 weeks after access (A).
        ExpiresDefault A1209600

        <FilesMatch \.php$>
          ExpiresActive Off
        </FilesMatch>
      </IfModule>
    </Directory>

</VirtualHost>
</IfModule>
<?php endif; ?>
<?php if (!$ssl_support || !($ssl_mode == 'ssl_only')): ?>
<VirtualHost *:<?php print $port; ?>>
    ServerName <?php print $servername . PHP_EOL; ?>
    DocumentRoot <?php print WEBROOT . PHP_EOL; ?>
    CustomLog /var/log/sitelogs/<?php print PACKAGE_NAME; ?>/access.log combined
    ErrorLog  /var/log/sitelogs/<?php print PACKAGE_NAME; ?>/error.log

<?php print $custom . PHP_EOL; ?>

    <Directory <?php print WEBROOT; ?>>
      # Protect files and directories from prying eyes.
      <FilesMatch "\.(engine|inc|info|install|make|module|profile|test|po|sh|.*sql|theme|tpl(\.php)?|xtmpl|svn-base)$|^(code-style\.pl|Entries.*|Repository|Root|Tag|Template|all-wcprops|entries|format)$">
        Order allow,deny
      </FilesMatch>

      RewriteEngine On
      RewriteBase /
      RewriteCond %{REQUEST_FILENAME} !-f
      RewriteCond %{REQUEST_FILENAME} !-d
      RewriteCond %{REQUEST_URI} !=/favicon.ico
      RewriteRule ^(.*)$ index.php?q=$1 [L,QSA]

      php_value magic_quotes_gpc                0
      php_value register_globals                0
      php_value session.auto_start              0
      php_value mbstring.http_input             pass
      php_value mbstring.http_output            pass
      php_value mbstring.encoding_translation   0

<?php print $directory_custom . PHP_EOL; ?>

      # Don't show directory listings for URLs which map to a directory.
      Options -Indexes

      # Follow symbolic links in this directory.
      Options +FollowSymLinks

      # Allow .htaccess files to override settings.
      AllowOverride All

      # Make Drupal handle any 404 errors.
      ErrorDocument 404 /index.php

      # Set the default handler.
      DirectoryIndex index.php
      # Requires mod_expires to be enabled.
      <IfModule mod_expires.c>
        # Enable expirations.
        ExpiresActive On

        # Cache all files for 2 weeks after access (A).
        ExpiresDefault A1209600

        <FilesMatch \.php$>
          ExpiresActive Off
        </FilesMatch>
      </IfModule>
    </Directory>

</VirtualHost>
<?php endif; ?>
<?php if ($serverredirects): ?>
<VirtualHost *:<?php print $port; ?>>
<?php
  foreach ($serverredirects as $idx => $redirect) {
    print ($idx == 0) ? ' ServerName ' . $redirect . PHP_EOL : '  ServerAlias ' . $redirect . PHP_EOL;
  }
?>
  Redirect Permanent / <?php print $scheme; ?>://<?php print $servername; ?>/
</VirtualHost>
<?php endif; ?>
<?php if ($ssl_support && ($ssl_mode == 'ssl_only')): ?>
<VirtualHost *:80>
  ServerName <?php print $servername . PHP_EOL; ?>
<?php
  foreach ($serverredirects as $redirect) {
    print '  ServerAlias ' . $redirect . PHP_EOL;
  }
?>
  Redirect Permanent / <?php print $scheme; ?>://<?php print $servername; ?>/
</VirtualHost>
<?php endif; ?>
